var index =
[
    [ "Index", "index.html#autotoc_md63", null ],
    [ "Introduction to the Edinburgh Speech Tools", "estintro.html", [
      [ "The Library", "estintro.html#thelibrary", [
        [ "What does the library contain?", "estintro.html#autotoc_md4", [
          [ "Speech class", "estintro.html#autotoc_md5", null ],
          [ "Linguistic class", "estintro.html#autotoc_md6", null ],
          [ "Audio playback", "estintro.html#autotoc_md7", null ],
          [ "Signal processing", "estintro.html#autotoc_md8", null ],
          [ "Statistical functions", "estintro.html#autotoc_md9", null ],
          [ "Grammars", "estintro.html#autotoc_md10", null ],
          [ "Intonation", "estintro.html#autotoc_md11", null ],
          [ "Speech Recognition", "estintro.html#autotoc_md12", null ],
          [ "Utility Functions and Classes", "estintro.html#autotoc_md13", null ]
        ] ],
        [ "Using the speechtools", "estintro.html#autotoc_md14", null ]
      ] ]
    ] ],
    [ "Licence, Installation and acknowledgements", "estlicence.html", [
      [ "Licence", "estlicence.html#licence", null ],
      [ "Acknowledgments", "estlicence.html#estacknowledgements", [
        [ "Copyright", "estlicence.html#autotoc_md15", null ],
        [ "Authors", "estlicence.html#autotoc_md16", [
          [ "Other contributors", "estlicence.html#autotoc_md17", null ]
        ] ]
      ] ],
      [ "What is new", "estlicence.html#estwhatsnew", [
        [ "Free licence", "estlicence.html#autotoc_md18", null ],
        [ "Utterance consolidation", "estlicence.html#autotoc_md19", null ],
        [ "Generalization of Features", "estlicence.html#autotoc_md20", null ],
        [ "SIOD tidy up", "estlicence.html#autotoc_md21", null ],
        [ "C++ class documentation", "estlicence.html#autotoc_md22", null ],
        [ "Tilt Analysis/Resynthesis", "estlicence.html#autotoc_md23", null ]
      ] ],
      [ "Installation", "estlicence.html#estinstall", [
        [ "Release notes", "estlicence.html#estinstallrnotes", null ],
        [ "Requirements", "estlicence.html#estinstallreq", [
          [ "GNU Make", "estlicence.html#autotoc_md24", null ],
          [ "A C++ compiler", "estlicence.html#autotoc_md25", null ],
          [ "Supported Systems", "estlicence.html#autotoc_md26", null ],
          [ "Java Support", "estlicence.html#autotoc_md27", null ],
          [ "Windows 95/98/NT Port", "estlicence.html#autotoc_md28", [
            [ "Shared library creation is not supported", "estlicence.html#autotoc_md29", null ],
            [ "Java not supported", "estlicence.html#autotoc_md30", null ],
            [ "Command line editing limited", "estlicence.html#autotoc_md31", null ],
            [ "(Visual C) Networking not supported", "estlicence.html#autotoc_md32", null ]
          ] ]
        ] ],
        [ "Building speech tools", "estlicence.html#estinstallbuild", [
          [ "Configuration", "estlicence.html#autotoc_md33", null ],
          [ "Compilation", "estlicence.html#autotoc_md34", null ]
        ] ],
        [ "Installation", "estlicence.html#estinstallinstalling", null ],
        [ "Building on Windows 95/98/NT", "estlicence.html#estinstallbuildwind", [
          [ "Creating <em>VCMakefile</em>", "estlicence.html#autotoc_md35", null ],
          [ "Configuration", "estlicence.html#autotoc_md36", null ],
          [ "Building", "estlicence.html#autotoc_md37", null ]
        ] ]
      ] ]
    ] ],
    [ "Executable Programs", "estexec.html", [
      [ "Manuals", "estexec.html#autotoc_md0", null ],
      [ "Building your own executable programs", "estexec.html#estexecbuilding", null ],
      [ "Manuals", "estmanuals.html", [
        [ "General Information", "estmanuals.html#estmanualsgeneral", null ],
        [ "ch_wave", "ch_wave_manual.html", [
          [ "Making multiple waves into a single wave", "ch_wave_manual.html#merge_waves", null ],
          [ "Extracting channels from multi-channel waves", "ch_wave_manual.html#extract_channel", null ],
          [ "Extracting of a single region from a waveform", "ch_wave_manual.html#extract_region", null ],
          [ "Extracting of a multiple regions from a waveform", "ch_wave_manual.html#extract_multiple_regions", null ],
          [ "Adding headers and format conversion", "ch_wave_manual.html#add_headers", null ]
        ] ],
        [ "ch_track", "ch_track_manual.html", null ],
        [ "tilt_analysis", "tilt_analysis_manual.html", [
          [ "Input Intonation Files", "tilt_analysis_manual.html#tilt_analysis-input-intonation", null ],
          [ "Input F0  Files", "tilt_analysis_manual.html#tilt_analysis-input-f0", null ],
          [ "Output Intonation Files", "tilt_analysis_manual.html#tilt_analysis-output-int", null ]
        ] ],
        [ "tilt_synthesis", "tilt_synthesis_manual.html", [
          [ "Input Intonation Files", "tilt_synthesis_manual.html#tilt_synthesis-input", null ]
        ] ],
        [ "spectgen", "spectgen_manual.html", null ],
        [ "sigfilter", "sigfilter_manual.html", null ],
        [ "pitchmark", "pitchmark_manual.html", [
          [ "Examples", "pitchmark_manual.html#pitchmark-examples", null ]
        ] ],
        [ "dp", "dp_manual.html", [
          [ "Examples", "dp_manual.html#examples", null ]
        ] ],
        [ "ngram_build", "ngram_build_manual.html", null ],
        [ "ngram_test", "ngram_test_manual.html", null ],
        [ "viterbi", "viterbi_manual.html", [
          [ "Examples", "viterbi_manual.html#viterbi-examples", null ]
        ] ],
        [ "na_play", "na_play_manual.html", null ],
        [ "na_record", "na_record_manual.html", null ],
        [ "wagon", "wagon_manual.html", [
          [ "Building Trees", "wagon_manual.html#wagon-build-trees", null ]
        ] ],
        [ "ols", "ols_manual.html", null ],
        [ "ols_test", "ols_test_manual.html", null ],
        [ "wfst_build", "wfst_build_manual.html", null ],
        [ "wfst_train", "wfst_train_manual.html", null ],
        [ "scfg_make", "scfg_make_manual.html", null ],
        [ "scfg_train", "scfg_train_manual.html", null ],
        [ "scfg_parse", "scfg_parse_manual.html", null ],
        [ "scfg_test", "scfg_test_manual.html", null ],
        [ "siod", "siod_manual.html", null ],
        [ "fringe_client", "fringe_client_manual.html", [
          [ "Finding Fringe.", "fringe_client_manual.html#finding-fringe", null ]
        ] ],
        [ "bcat", "bcat_manual.html", null ],
        [ "xml_parser", "xml_parser_manual.html", null ]
      ] ]
    ] ],
    [ "Basic Classes", "estbaseclass.html", [
      [ "Classes", "estbaseclassclasses.html", [
        [ "Container Classes", "estbaseclassclasses.html#estbaseclassclassescontainerclasses", null ],
        [ "String Classes", "estbaseclassclasses.html#estbaseclassclassesstringclasses", null ],
        [ "Support Classes", "estbaseclassclasses.html#estbaseclassclassessupportclasses", null ]
      ] ],
      [ "Examples", "estbaseclassexamples.html", null ]
    ] ],
    [ "Speech Classes", "estspeechclass.html", [
      [ "Overview", "estspeechclass.html#overview", [
        [ "Waveforms", "estspeechclass.html#waveforms", null ],
        [ "The Track Class", "estspeechclass.html#trackclass", [
          [ "The Amplitude Matrix", "estspeechclass.html#autotoc_md46", null ],
          [ "The Time Array", "estspeechclass.html#autotoc_md47", null ],
          [ "The Break/Value Array", "estspeechclass.html#autotoc_md48", null ],
          [ "Channel names", "estspeechclass.html#autotoc_md49", null ],
          [ "The Auxiliary Matrix", "estspeechclass.html#autotoc_md50", null ],
          [ "Sub-tracks, channel and frame extaction", "estspeechclass.html#autotoc_md51", null ]
        ] ]
      ] ],
      [ "Programs", "estspeechclass.html#estspeechclassprograms", null ],
      [ "Classes", "estspeechclass.html#estspeechclassclasses", null ],
      [ "Functions", "estspeechclass.html#estspecchclassfunctions", [
        [ "Auxiliary Track Functions", "estspeechclass.html#estspeechclassfuncaux", null ]
      ] ],
      [ "Examples", "estspeechclass.html#autotoc_md52", null ]
    ] ],
    [ "Linguistic Classes", "estling.html", [
      [ "Introduction", "estling.html#eslingintro", [
        [ "Relations", "estling.html#estlingrelations", null ],
        [ "Items and Features", "estling.html#estlingitemsandfeatures", null ]
      ] ],
      [ "Classes", "estling.html#estlingclassessection", null ],
      [ "Functions", "estling.html#estlingfunctions", [
        [ "Tree traversal functions", "estling.html#autotoc_md38", null ],
        [ "Tree building functions", "estling.html#autotoc_md39", null ]
      ] ]
    ] ],
    [ "Utility Functions", "estutil.html", [
      [ "Utility Classes and Functions", "estutil.html#estutilclassfunc", [
        [ "Classes", "estutil.html#autotoc_md55", null ],
        [ "Functions", "estutil.html#autotoc_md56", null ]
      ] ]
    ] ],
    [ "Signal Processing", "estsigpr.html", [
      [ "Overview", "estsigpr.html#estsigproverview", [
        [ "Design Issues", "estsigpr.html#estsigprdesign", null ],
        [ "Common Processing model", "estsigpr.html#estsigprcommonprocessing", null ],
        [ "Track Allocation, Frames, Channels and sub-tracks", "estsigpr.html#estsigprtrackalloc", null ]
      ] ],
      [ "Functions", "estsigpr.html#estsigprfunctions", [
        [ "Functions for Generating Frames", "estsigpr.html#est-sigpr-generating-frames", null ],
        [ "Functions for Generating Tracks", "estsigpr.html#sigpr-track-func", null ],
        [ "Functions for Windowing Frames of Waveforms", "estsigpr.html#est_sigpr_windowing", null ],
        [ "Filter functions", "estsigpr.html#sigpr-filter", null ],
        [ "Filter design", "estsigpr.html#sigpr-filter-design", null ]
      ] ],
      [ "Example", "estsigpr.html#autotoc_md45", null ],
      [ "Programs", "estsigpr.html#sigpr-programs", null ]
    ] ],
    [ "Client-Server Mechanisms", "estserver.html", [
      [ "The Services Table", "estserver.html#estserverservicetable", null ],
      [ "Writing Clients and Servers", "estserver.html#estserverwritingclientserver", [
        [ "A Simple Server", "estserver.html#autotoc_md40", null ],
        [ "A Simple Client", "estserver.html#simple-client", null ],
        [ "A Specialised Server", "estserver.html#estserverspecializedserver", null ],
        [ "A Client Which Handles Multiple Results", "estserver.html#estserverclientmultiplereq", null ]
      ] ],
      [ "Creating a new Service", "estserver.html#autotoc_md41", [
        [ "Commands", "estserver.html#autotoc_md42", null ],
        [ "Results", "estserver.html#autotoc_md43", null ]
      ] ],
      [ "The Network Protocol", "estserver.html#autotoc_md44", null ]
    ] ],
    [ "Grammar", "estgram.html", [
      [ "Overview", "estgram.html#estgramoverview", [
        [ "N-grams", "estgram.html#estgramngrams", [
          [ "Building ngram language models", "estgram.html#estgramngrambuild", [
            [ "Vocabularies", "estgram.html#autotoc_md1", null ],
            [ "ngram data input formats", "estgram.html#autotoc_md2", null ],
            [ "Smoothing and Backoff", "estgram.html#autotoc_md3", null ]
          ] ],
          [ "Testing ngram language models", "estgram.html#estngramtesting", null ]
        ] ],
        [ "SCFGs", "estgram.html#estngramscfg", null ],
        [ "WFSTs", "estgram.html#estngramwfst", [
          [ "Kay/Kaplan/Koskenniemi morphological rules", "estgram.html#estngramwfstkaykaplan", null ],
          [ "Regular expressions", "estgram.html#estngramwfstregex", null ],
          [ "Regular Grammars", "estgram.html#estngramwfstregulargrammars", null ]
        ] ]
      ] ],
      [ "Programs", "estgram.html#estngramprograms", null ],
      [ "Classes", "estgram.html#estngramclasses", null ]
    ] ],
    [ "Classification and Regression Trees", "estwagon.html", [
      [ "Overview", "estwagon.html#cart-overview", [
        [ "Impurities", "estwagon.html#estwagonimpurities", null ],
        [ "Question forming", "estwagon.html#estwagonoverviewquestion", null ],
        [ "Tree Building criteria", "estwagon.html#estwagonoverviewtreebuild", null ],
        [ "Data format", "estwagon.html#cart-formats", [
          [ "Feature vectors", "estwagon.html#estwagon-featvectors", null ],
          [ "Data descriptions", "estwagon.html#estwagon-datadescr", null ],
          [ "Tree format", "estwagon.html#estwagon-treeformat", null ]
        ] ]
      ] ],
      [ "Functions", "estwagon.html#estwagon-functions", null ],
      [ "Programs", "estwagon.html#estwagon-programs", null ]
    ] ],
    [ "The Tilt Intonation Model", "esttilt.html", [
      [ "Theoretical Overview", "esttilt.html#tilt-overview", [
        [ "RFC Analysis", "esttilt.html#esttilt-overview-rfcanalysis", [
          [ "Locating Events in the F0 contour", "esttilt.html#esttilt-overview-rfcanalysis-locating", null ],
          [ "Producing an RFC representation from an utterance's events and F0 contour", "esttilt.html#ov-rfc-analysis", null ]
        ] ],
        [ "RFC to Tilt Conversion", "esttilt.html#rfc2tilt", null ],
        [ "Tilt to RFC Conversion", "esttilt.html#tilt2rfc", null ],
        [ "RFC to F0 Synthesis", "esttilt.html#ov-rfc-to-tilt", null ]
      ] ],
      [ "Executable Programs", "esttilt.html#autotoc_md53", null ],
      [ "Functions", "esttilt.html#autotoc_md54", null ]
    ] ],
    [ "XML support", "estxml.html", [
      [ "Reading XML Text As An EST_Utterance", "estxml.html#xmltoutterance", [
        [ "Summary of DTD Anotations", "estxml.html#autotoc_md57", null ]
      ] ],
      [ "The XML_Parser_Class C++ Class", "estxml.html#xmlparserclass", [
        [ "Some Definitions", "estxml.html#xmlparserclassdefinitions", null ],
        [ "Creating An XML Processing Procedure", "estxml.html#xmlcreatingxmlproc", [
          [ "Create a Sub-Class of XML_Parser_Class", "estxml.html#autotoc_md58", null ],
          [ "Create a Structure Holding the State of the Parse", "estxml.html#autotoc_md59", null ],
          [ "Decide How Entity IDs Should Be Converted To Filenames", "estxml.html#autotoc_md60", null ],
          [ "Write A Procedure To Start The Parser", "estxml.html#autotoc_md61", null ]
        ] ],
        [ "The XML_Parser_Class in Detail", "estxml.html#autotoc_md62", null ]
      ] ],
      [ "The RXP XML Parser", "estxml.html#rxpparser", null ]
    ] ]
];